org.bouncycastle.crypto.generators

## Class KDF2BytesGenerator

- java.lang.Object
- - org.bouncycastle.crypto.generators.BaseKDFBytesGenerator
  - - org.bouncycastle.crypto.generators.KDF2BytesGenerator

All Implemented Interfaces:
  DerivationFunction

    public class KDF2BytesGenerator
    extends BaseKDFBytesGenerator

KFD2 generator for derived keys and ivs as defined by IEEE P1363a/ISO 18033
This implementation is based on IEEE P1363/ISO 18033.

### Constructor Summary

Constructors
Constructor and Description
`KDF2BytesGenerator(Digest digest)` Construct a KDF2 bytes generator.

### Method Summary

### Methods inherited from class org.bouncycastle.crypto.generators.BaseKDFBytesGenerator

`generateBytes, getDigest, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KDF2BytesGenerator

    public KDF2BytesGenerator(Digest digest)

Construct a KDF2 bytes generator. Generates key material according to IEEE P1363 or ISO 18033 depending on the initialisation.

Parameters:
  `digest` - the digest to be used as the source of derived keys.